import 'package:nui_core/math/nui_math_util.dart';
import 'package:nui_core/model/gradient_background.dart';

class NUIGradientBackgrounds{
  static List<GradientBackground> getDefaultGradientBackgrounds(){
    List<GradientBackground> colors = List();
    colors.add(GradientBackground(textColor1: "#51566B", color1: "#FFAEAE", color2: "#F2C0B8", textColor2: "#51566B"));
    colors.add(GradientBackground(textColor1: "#51566B", color1: "#C5FFB7", color2: "#FFE7B0", textColor2: "#51566B"));
    colors.add(GradientBackground(textColor1: "#51566B", color1: "#FFB768", color2: "#FFE283", textColor2: "#51566B"));
    colors.add(GradientBackground(textColor1: "#FFFFFF", color1: "#C99EFF", color2: "#FF5D9C", textColor2: "#FFFFFF"));
    colors.add(GradientBackground(textColor1: "#FFFFFF", color1: "#6797F4", color2: "#8558F4", textColor2: "#FFFFFF"));
    colors.add(GradientBackground(textColor1: "#FFFFFF", color1: "#FF2A2A", color2: "#FF5174", textColor2: "#FFFFFF"));
    return colors;
  }

  static GradientBackground random(){
    final colors = getDefaultGradientBackgrounds();
    final randomNum = NUIMathUtil.random(0, colors.length - 1);
    return colors[randomNum];
  }
}