//Created by Neo on 19th Aug 2020
bool isNullOrEmpty(Object any) {
  return NUIDataUtil.isNullOrEmpty(any);
}

extension ListExtension on List{
  bool isNullOrEmpty(){
    return this == null || this.isEmpty;
  }
  bool isNotNullAndEmpty(){
    return this != null && this.isNotEmpty;
  }
  T getOrNull<T>(int position){
    if(this.isNullOrEmpty()) return null;
    if(this.length > position) return this[position];
    return null;
  }
}

class NUIDataUtil {
  static bool isNullOrEmpty(Object any) {
    if (any == null) return true;

    if (any is List) {
      return any.isEmpty;
    }
    if (any is String) {
      return any.isEmpty;
    }

    return false;
  }
}
