import 'package:nui_core/color/nui_color_util.dart';
import 'package:flutter/cupertino.dart';

extension GradientBackgroundExt on GradientBackground{
  Color getTextColor1() => NUIColorUtil.colorFromHexString(textColor1);
  Color getTextColor2() =>  NUIColorUtil.colorFromHexString(textColor2);
  Color getColor1() => NUIColorUtil.colorFromHexString(color1);
  Color getColor2() => NUIColorUtil.colorFromHexString(color2);
}

class GradientBackground{
  String textColor1;
  String textColor2;
  String color1;
  String color2;

  GradientBackground({@required this.textColor1, @required this.color1, @required this.color2, this.textColor2});

  List<Color> colors(){
    return [getColor1(), getColor2()];
  }
}