import 'package:flutter/cupertino.dart';

abstract class Validatable{
  DataResult validate();
}

class DataResult<T>{
  DataResult({@required this.success, @required this.message, this.data});
  final bool success;
  final String message;
  final T data;
}

abstract class Sortable{
  int sortWeight();
}