import 'package:flutter/material.dart';
import 'package:nui_core/color/nui_colors.dart';

class NUIOutlineCircleAvatar extends StatefulWidget {
  NUIOutlineCircleAvatar({Key key, @required this.image, @required this.radius, this.thickness:1, this.outlineColor:NUIColors.NUIBlack, this.innerColor:NUIColors.NUIWhite}) : super(key: key);
  final ImageProvider image;
  final Color outlineColor;
  final Color innerColor;
  final double radius;
  final double thickness;
  @override
  _NUIOutlineCircleAvatarState createState() => _NUIOutlineCircleAvatarState();
}

class _NUIOutlineCircleAvatarState extends State<NUIOutlineCircleAvatar> {
  @override
  Widget build(BuildContext context) {
    return CircleAvatar(
      radius: widget.radius,
      backgroundColor: widget.outlineColor,
      child: CircleAvatar(
        radius: widget.radius - widget.thickness,
        backgroundColor: widget.innerColor,
        backgroundImage: widget.image,
      ),
    );
  }
}
