import 'package:flutter/cupertino.dart';
import 'package:nui_core/ui/component/listview/nui_listview_bloc.dart';
import 'nui_list_models.dart';
import 'nui_listview_widgets.dart';

typedef ListItemInflater = NUIListStatefulWidget Function(dynamic data, int position, NUIListActionController handler);
typedef ListPlaceHolderInflater = Widget Function();
typedef ListErrorHolderInflater<T, C> = Widget Function(NUIListViewModel<T, C> data);
typedef ListLoadingInflater = Widget Function(int position);
typedef ListShadowInflater = BoxDecoration Function();
typedef OnListItemClickListener = void Function(dynamic data, int position, String action);
typedef ListPositionGetter = int Function();
typedef ListFixedItemGetter = dynamic Function();
