import 'package:flutter/cupertino.dart';

class NUIClipView extends StatefulWidget {
  NUIClipView({@required this.child, this.borderRadius, Key key}): super(key: key);
  final Widget child;
  final BorderRadius borderRadius;
  @override
  _NUIClipViewState createState() => _NUIClipViewState();
}

class _NUIClipViewState extends State<NUIClipView> {
  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: widget.borderRadius ?? BorderRadius.circular(10),
      child: widget.child,
    );
  }
}
