import 'package:flutter/cupertino.dart';
import 'package:nui_core/color/nui_colors.dart';
import '../../nui_display_util.dart';

class NUIStatusBar extends StatelessWidget {
  NUIStatusBar({this.color, this.decoration});
  final Color color;
  final BoxDecoration decoration;
  @override
  Widget build(BuildContext context) {
    if(decoration != null){
      return Container(
        width: double.infinity,
        height: NUIDisplayUtil.statusBarHeight(context),
        decoration: decoration,
      );
    }
    else{
      return Container(
        width: double.infinity,
        height: NUIDisplayUtil.statusBarHeight(context),
        color: color ?? NUIColors.NUITransparent,
      );
    }
  }
}
